package cn.dankal.test.common.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * 公共常量类
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/23
 */
public interface CommonConstant {


    /**
     * ResultCodeEnum
     */
    enum ResultCodeEnum {
        /**
         * code: 200
         * message: 成功
         */
        SUCCESS("200", "成功"),

        /**
         * code: 201
         * message: 失败
         */
        FAIL("201", "失败"),

        /**
         * code: 2012
         * message: 服务异常
         */
        SERVICE_ERROR("2012", "服务异常");

        /**
         * 响应状态码
         */
        @Getter
        private final String code;

        /**
         * 响应信息
         */
        @Getter
        @Setter
        private String message;

        ResultCodeEnum(String code, String message) {
            this.code = code;
            this.message = message;
        }
    }

    interface CommonConst {
        /**
         * 响应信息: no  response data
         */
        String MESSAGE_NO_DATA = "no  response data";
    }
}
