package cn.dankal.test.common.orm.config;

import com.baomidou.mybatisplus.extension.plugins.MybatisPlusInterceptor;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * {@link Configuration}{@link MapperScan}
 * 公共 MybatisPlus 配置文件
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/22
 */
@Configuration
@MapperScan(basePackages = {"cn.dankal.test.*.repository"})
public class CommonMybatisPlusConfig {

    /**
     * MybatisPlus 分页插件
     *
     * @return MybatisPlusInterceptor
     * @see MybatisPlusInterceptor
     */
    @Bean
    public MybatisPlusInterceptor mybatisPlusInterceptor() {
        return new MybatisPlusInterceptor();
    }
}
