package cn.dankal.test.common.service.advice;

import cn.dankal.test.common.result.Result;
import org.springframework.boot.web.servlet.error.ErrorController;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * {@link ErrorController}{@link RestController}
 * 自定义异常控制器: 404
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/21
 */
@RestController
public class NotFoundExceptionController implements ErrorController {

    @Override
    public String getErrorPath() {
        return "/error";
    }

    @GetMapping({"/error"})
    public Result<String> handlerNoFundException(HttpServletRequest request) {
        Integer statusCode = (Integer) request.getAttribute("javax.servlet.error.status_code");
        // 判断是否404异常
        if (HttpStatus.NOT_FOUND.value() == statusCode) {
            return Result.error("请求资源不存在");
        }
        // 其TA未处理异常
        String errorMessage = " --> 未处理异常,请联系后台管理员";
        return Result.error(errorMessage);
    }
}
