package cn.dankal.test.order.advice;

import cn.dankal.test.common.entity.CommonConstant;
import cn.dankal.test.common.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * {@link RestControllerAdvice}{@link Slf4j}
 * order-service: 全局异常处理
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/23
 */
@Slf4j
@RestControllerAdvice
public class ExceptionHandlerAdvice {

    @ExceptionHandler({Exception.class})
    public Result<Object> handlerException(Exception exception) {
        log.error("order-service 全局异常处理: {}", exception.getMessage());
        return new Result<>()
                .setMessage(exception.getMessage())
                .setCode(CommonConstant.ResultCodeEnum.FAIL.getCode())
                .setIsSuccess(false)
                .setData(false);
    }
}
