package cn.dankal.test.order.service;

import cn.dankal.test.order.model.Order;
import com.baomidou.mybatisplus.extension.service.IService;
import io.seata.core.exception.TransactionException;

/**
 * {@link IService}
 * OrderService
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/22
 */
public interface OrderService extends IService<Order> {

    /**
     * 下订单
     *
     * @param order 订单信息 {userId,commodityCode,count}
     * @return 如果操作成功则返回 true,否则返回 false
     */
    boolean placeOrder(Order order) throws TransactionException;

    /**
     * 测试 事务提交异常(seata 无法执行事务回滚的操作)
     *
     * @return 如果操作成功则返回 true,否则 返回 false
     */
    Boolean placeOrderException();

    /**
     * 测试 事务提交异常  (使用 Seata 提供的 API进行手动回滚)
     *
     * @return 如果操作成功则返回 true,否则 返回 false
     * @throws TransactionException transactionException 手动回滚事务异常
     */
    Boolean placeOrderExceptionRollbackByApi() throws TransactionException;

}
