package cn.dankal.test.storage.service;

import cn.dankal.test.storage.model.Storage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * {@link IService}
 * StorageService
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/22
 */
public interface StorageService extends IService<Storage> {

    /**
     * 商品库存扣减
     *
     * @param commodityCode 商品编码
     * @param count         扣减数量
     * @return 如果操作成功则返回 true,否则 返回 false
     * <br/>
     * - 商品库存不足 返回 false
     * <br/>
     * - 商品库存扣减失败 返回 false
     * @throws IllegalArgumentException ex 非法 commodityCode
     */
    boolean deduct(String commodityCode, int count) throws IllegalArgumentException;

    /**
     * 测试 事务提交异常
     *
     * @return 异常信息
     */
    Boolean deductWithException();
}
