package cn.dankal.test.client.fallback;

import cn.dankal.test.client.StorageServiceClient;
import cn.dankal.test.common.entity.CommonConstant;
import cn.dankal.test.common.result.Result;
import org.springframework.stereotype.Component;

/**
 * {@link StorageServiceClient}{@link Component}
 * StorageServiceFallback
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/22
 */
@Component
public class StorageServiceFallback implements StorageServiceClient {

    @Override
    public Boolean deduct(String commodityCode, Integer count) {
        return null;
    }

    @Override
    public Result<Object> deductWithException() {
        return new Result<>()
                .setMessage("StorageServiceFallback : 服务降级")
                .setCode(CommonConstant.ResultCodeEnum.FAIL.getCode())
                .setIsSuccess(false)
                .setData(false);
    }
}
